Loading...
Searching...
No Matches
gridfire Namespace Reference

## Namespaces

namespace | config
namespace | engine
namespace | exceptions
| Namespace for GridFire exception classes. All custom exceptions defined in GridFire inherit from std::exception and are organized within this namespace for clarity and modularity.
namespace | io
namespace | omp
namespace | partition
namespace | policy
namespace | rates
namespace | reaclib
namespace | reaction
namespace | screening
namespace | solver
namespace | trigger
namespace | utils

## Classes

struct | NetIn
struct | NetOut

## Concepts

concept | IsArithmeticOrAD
| Concept for types allowed in engine calculations.

## Functions

| gf_metadata ()
| gf_version ()
| gf_author ()
| gf_license ()
| gf_email ()
| gf_url ()
| gf_description ()
| gf_collaboration ()
| gf_credits ()

## Variables

list | __all__ = ['type', 'utils', 'engine', 'solver', 'exceptions', 'partition', 'reaction', 'screening', 'io', 'policy', 'config']
| _meta = importlib.metadata.metadata('gridfire')
| __version__ = _meta['Version']
| __author__ = _meta['Author']
| __license__ = _meta['License']
| __email__ = _meta['Author-email']
| __url__ = _meta['Home-page'] or _meta.get('Project-URL', '').split(',')[0].split(' ')[-1].strip()
| __description__ = _meta['Summary']

## Function Documentation

## gf_author()

gridfire.gf_author | ( |  | ) |

## gf_collaboration()

gridfire.gf_collaboration | ( |  | ) |

## gf_credits()

gridfire.gf_credits | ( |  | ) |

## gf_description()

gridfire.gf_description | ( |  | ) |

## gf_email()

gridfire.gf_email | ( |  | ) |

## gf_license()

gridfire.gf_license | ( |  | ) |

## gf_metadata()

gridfire.gf_metadata | ( |  | ) |

## gf_url()

gridfire.gf_url | ( |  | ) |

## gf_version()

gridfire.gf_version | ( |  | ) |

## Variable Documentation

## __all__

list gridfire.__all__ = ['type', 'utils', 'engine', 'solver', 'exceptions', 'partition', 'reaction', 'screening', 'io', 'policy', 'config']

private

## __author__

str gridfire.__author__ = _meta['Author']

private

## __description__

gridfire.__description__ = _meta['Summary']

private

## __email__

str gridfire.__email__ = _meta['Author-email']

private

## __license__

str gridfire.__license__ = _meta['License']

private

## __url__

str gridfire.__url__ = _meta['Home-page'] or _meta.get('Project-URL', '').split(',')[0].split(' ')[-1].strip()

private

## __version__

str gridfire.__version__ = _meta['Version']

private

## _meta

gridfire._meta = importlib.metadata.metadata('gridfire')

protected